GET
/payment/zibapay/orders/:referenceAPIAuthentication:Bearer token
Authorization: Bearer <token>Security requirement: 403 CSRF Protection
Direct server-to-server calls authenticated via Bearer tokens do not require CSRF headers. If you instead invoke mutation endpoints from a web browser using cookie-based sessions, you must include the following header:
X-Requested-With: XMLHttpRequestPath params
| Field | Type | Required | Description |
|---|---|---|---|
reference | string | Required | transactionReferenceId from the collect response, or the order reference. |
Response fields
| Field | Type | Presence | Description |
|---|---|---|---|
orderId | string | Always returned | Order reference ID. |
amount | number | Always returned | Order monetary amount. |
currency | string | Always returned | Currency code. |
description | string | Always returned | Order description. |
status | string | Always returned | Current order status. |
createdAt | string | Always returned | Order creation timestamp. |
Status codes
| HTTP Status | Meaning |
|---|---|
| 200 | The stored order. |
| 401 | No merchant session. |